    import AdapterSortableTable from 'tablefilter/src/extensions/sort/adapterSortabletable.js'

public class | source

# AdapterSortableTable

## Constructor Summary

Public Constructor
public | constructor(tf: Object) SortableTable Adapter module |

## Member Summary

Public Members
public | asyncSort: * |
public | customKey: * |
public | desc: * |
public | emitter: * |
public | imgAscClassName: * |
public | imgBlank: * |
public | imgClassName: * |
public | imgDescClassName: * |
public | imgPath: * |
public | initialized: boolean |
public | name: * |
public | onAfterSort: * |
public | onBeforeSort: * |
public | onSortLoaded: * |
public | sortColAtStart: * |
public | sortTypes: * |
public | sorted: boolean |
public | stt: * |
public | tf: * |
public | triggerIds: * |

## Method Summary

Public Methods
public | addSortType() |
public | destroy() Destroy sort |
public | init() |
public | overrideSortableTable() |
public | setSortTypes() |
public | sortByColumnIndex(colIdx: Number, desc: Boolean) Sort specified column |

## Public Constructors

### public constructor(tf: Object) source

SortableTable Adapter module

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public asyncSort: * source

### public customKey: * source

### public desc: * source

### public emitter: * source

### public imgAscClassName: * source

### public imgBlank: * source

### public imgClassName: * source

### public imgDescClassName: * source

### public imgPath: * source

### public initialized: boolean source

### public name: * source

### public onAfterSort: * source

### public onBeforeSort: * source

### public onSortLoaded: * source

### public sortColAtStart: * source

### public sortTypes: * source

### public sorted: boolean source

### public stt: * source

### public tf: * source

### public triggerIds: * source

## Public Methods

### public addSortType() source

### public destroy() source

Destroy sort

### public init() source

### public overrideSortableTable() source

### public setSortTypes() source

### public sortByColumnIndex(colIdx: Number, desc: Boolean) source

Sort specified column

#### Params:

Name | Type | Attribute | Description
colIdx | Number |  | Column index
desc | Boolean |  | Optional: descending manner